/*
 * 08/06/2003
 *
 * histogramme.h
 * Classe permettant de calculer les histogrammes d'une image
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _HISTOGRAMME_H
#define _HISTOGRAMME_H

#include "image.h"

// ###################
// Classe CHistogramme
// ###################
class CHistogramme
{
public:

	// ============
	// Constructeur
	// ============
	CHistogramme();

	// ===========
	// Destructeur
	// ===========
	~CHistogramme();

	// ===================================
	// Calcule les histogrammes de l'image
	// ===================================
	void CalcHistos(CImage *img);

	// ===============================================
	// Retourne les hauteurs maximums des histogrammes
	// en nombre de pixels
	// ===============================================
	void GetMaxHauteurs(int *l, int *r, int *g, int *b);

	// Histogrammes
	int *histo_l;	// couche luminosite
	int *histo_r;	// couche rouge
	int *histo_g;	// couche verte
	int *histo_b;	// couche bleue
	// Valeurs maximums des histogrammes
	int max_l;
	int max_r;
	int max_g;
	int max_b;
	// Valeurs minimums des histogrammes
	int min_l;
	int min_r;
	int min_g;
	int min_b;
	// Valeurs moyennes des histogrammes
	long moy_l;
	long moy_r;
	long moy_g;
	long moy_b;
};

#endif

