/*
 * 09/06/2003
 *
 * imgpreviewboxFL.cpp
 * Box (FLTK) permettant d'afficher un aperu de l'image
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "imgpreviewboxFL.h"

// ============
// Constructeur
// ============
CImgPreviewBoxFL::CImgPreviewBoxFL(int X,int Y,int W,int H,const char* L) : Fl_Box(X,Y,W,H,L) 
{
	m_img = NULL;
	image(NULL);
}

// ===========
// Destructeur
// ===========
CImgPreviewBoxFL::~CImgPreviewBoxFL()
{
	if (m_img) delete m_img;
}

void CImgPreviewBoxFL::draw()
{
	draw_box();
	if (m_img) fl_draw_image(m_img->data, x()+3, y()+3, m_img->width, m_img->height, m_img->bitCount/8); 
	else {
		fl_push_matrix();
		fl_translate(x(), y());
		fl_color(fl_darker(FL_GRAY));
		fl_begin_line();
		fl_vertex(1,1);
		fl_vertex(w()-1,h()-1);
		fl_end_line();
		fl_pop_matrix();
	}
}

// =========================
// Change l'image a afficher
// =========================
void CImgPreviewBoxFL::SetImage(CImage *img)
{
	if (m_img) delete m_img;
	m_img = NULL;

	if (img) {
		Fl_Image *temp2,*temp;
		temp2 = new Fl_RGB_Image(img->data, img->width, img->height, img->bitCount/8);
		temp = temp2->copy((int)(159), (int)(120));
		delete temp2;
		m_img = new CImage((unsigned char *)temp->data()[0], temp->w(), temp->h(), temp->d()*8);
		delete temp;
	}
}

// ================
// Retourne l'image
// ================
CImage * CImgPreviewBoxFL::GetImage()
{
	return m_img;
}

// ===================================
// Ferme l'image et arrete l'affichage
// ===================================
void CImgPreviewBoxFL::Close()
{
	if (m_img) delete m_img;
	m_img = NULL;
}



