/*
 * 09/06/2003
 *
 * imgpreviewboxFL.h
 * Box (FLTK) permettant d'afficher un aperu de l'image
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _IMGPREVIEWBOXFL_H
#define _IMGPREVIEWBOXFL_H

#include <FL/Fl.H>
#include <FL/Fl_Box.H>
#include <FL/fl_draw.h>
#include <FL/Fl_Shared_Image.H>

#include "image.h"

#define LUM 0
#define RED 1
#define GREEN 2
#define BLUE 3

// #######################
// Classe CImgPreviewBoxFL
// #######################
class CImgPreviewBoxFL : public Fl_Box
{
public:

	// ============
	// Constructeur
	// ============
	CImgPreviewBoxFL(int X,int Y,int W,int H,const char* L=0);

	// ===========
	// Destructeur
	// ===========
	~CImgPreviewBoxFL();

	// ===============
	// Dessine l'image
	// ===============
	void draw();

	// =========================
	// Change l'image a afficher
	// =========================
	void SetImage(CImage *img);

	// ================
	// Retourne l'image
	// ================
	CImage * GetImage();

	// ===================================
	// Ferme l'image et arrete l'affichage
	// ===================================
	void Close();
	
private:

	// Image
	CImage *m_img;
};

#endif




