/*
 * 08/06/2003
 *
 * main.cpp
 * Programme permettant l'ouverture, l'enregistrement ainsi
 * que le traitement d'images de diffrents formats.
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "main.h"

// Interface utilisateur en FLTK
CTothopUI *cvui = new CTothopUI();	

// Main
int main(int argc, char **argv) 
{    
	fl_register_images();
    Fl::visual(FL_DOUBLE|FL_RGB);
    
#ifdef _WIN32
	cvui->mainWindow->icon((char *)LoadImage(fl_display,"../icons/tothop.ico",IMAGE_ICON,16,16,LR_LOADFROMFILE));
	cvui->sizeWindow->icon((char *)LoadImage(NULL,"../icons/tothop.ico",IMAGE_ICON,16,16,LR_LOADFROMFILE));
#endif

	cvui->show(argc, argv);

    return Fl::run();
}

// =======================================================
// Fonction permettant de choisir une image et de l'ouvrir
// =======================================================
void choose_file() 
{
	char *n;	
	n = fl_file_chooser("Ouvrir image","*.{bm,bmp,pgm,ppm,tga}", NULL);
	if (n!=NULL) {
		cvui->loadImage(n);
	}
}

// ===================================================
// Retourne le nom d'un fichier  partir de son chemin
// ===================================================
const char * name(const char *path)
{
	int i;
	for (i = 0 ; path[i] != '\0'; i++);
	while (path[i] != '/' || i==0)
	{
		i--;
	}
	return path+i+1;
}



