/*
 * 08/06/2003
 *
 * main.h
 * Programme permettant l'ouverture, l'enregistrement ainsi
 * que le traitement d'images de diffrents formats.
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _MAIN_H
#define _MAIN_H

#ifdef _WIN32
#include <windows.h>
#define WIN32_LEAN_AND_MEAN
#endif

#include <FL/Fl.H>
#include <FL/Fl_Shared_Image.H>
#include <FL/Fl_File_Chooser.H>
#include <FL/x.h>

#include "tothopUI.h"

// Numero de version
#define RELEASE "v1.0"
// Build
#define BUILD "build 030829"


// =======================================================
// Fonction permettant de choisir une image et de l'ouvrir
// =======================================================
void choose_file() ;

// ===================================================
// Retourne le nom d'un fichier  partir de son chemin
// ===================================================
const char * name(const char *path);

#endif

